For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Ask AIPlaygroundLoginFree API Key
HomeAPI ReferenceVoice AgentSpeech-to-TextText-to-SpeechIntelligenceSelf-Hosted Deployments
HomeAPI ReferenceVoice AgentSpeech-to-TextText-to-SpeechIntelligenceSelf-Hosted Deployments
  • General
    • Deepgram API Overview
    • Authentication
    • Regional Endpoints
    • Custom Endpoints
    • Errors
    • API Rate Limits
  • API Reference
          • GETList Project Requests
          • GETGet a Project Request
LogoLogo
Ask AIPlaygroundLoginFree API Key
API ReferenceManageRequests

List Project Requests

GET
https://api.deepgram.com/v1/projects/:project_id/requests
GET
/v1/projects/:project_id/requests
1import requests
2
3url = "https://api.deepgram.com/v1/projects/123456-7890-1234-5678-901234/requests"
4
5querystring = {"accessor":"12345678-1234-1234-1234-123456789012","request_id":"12345678-1234-1234-1234-123456789012","deployment":"hosted","endpoint":"listen","method":"async","status":"succeeded"}
6
7payload = {}
8headers = {
9 "Authorization": "Token <apiKey>",
10 "Content-Type": "application/json"
11}
12
13response = requests.get(url, json=payload, headers=headers, params=querystring)
14
15print(response.json())
Try it
1{
2 "page": 1,
3 "limit": 25,
4 "requests": [
5 {
6 "request_id": "a3f1c9d2-4b7e-4f9a-8c3d-2e5f7b9a1c0d",
7 "project_uuid": "12345678-90ab-cdef-1234-567890abcdef",
8 "created": "2024-01-15T09:30:00Z",
9 "path": "/v1/listen",
10 "api_key_id": "key_9876543210abcdef",
11 "response": {
12 "transcript": "Hello, this is a test transcription.",
13 "confidence": 0.98,
14 "words": [
15 {
16 "word": "Hello",
17 "start": 0,
18 "end": 0.5
19 },
20 {
21 "word": "this",
22 "start": 0.5,
23 "end": 0.8
24 },
25 {
26 "word": "is",
27 "start": 0.8,
28 "end": 1
29 },
30 {
31 "word": "a",
32 "start": 1,
33 "end": 1.1
34 },
35 {
36 "word": "test",
37 "start": 1.1,
38 "end": 1.5
39 },
40 {
41 "word": "transcription",
42 "start": 1.5,
43 "end": 2.5
44 }
45 ]
46 },
47 "code": 200,
48 "deployment": "production",
49 "callback": "https://myapp.example.com/callback"
50 }
51 ]
52}
Generates a list of requests for a specific project
Was this page helpful?
Previous

Get a Project Request

Next
Built with

Authentication

AuthorizationToken

Use Authorization: Token <API_KEY> Example: Authorization: Token 12345abcdef

Path parameters

project_idstringRequired
The unique identifier of the project

Query parameters

startstringOptionalformat: "date-time"

Start date of the requested date range. Formats accepted are YYYY-MM-DD, YYYY-MM-DDTHH:MM:SS, or YYYY-MM-DDTHH:MM:SS+HH:MM

endstringOptionalformat: "date-time"

End date of the requested date range. Formats accepted are YYYY-MM-DD, YYYY-MM-DDTHH:MM:SS, or YYYY-MM-DDTHH:MM:SS+HH:MM

limitdoubleOptional1-1000Defaults to 10

Number of results to return per page. Default 10. Range [1,1000]

pagedoubleOptional
Navigate and return the results to retrieve specific portions of information of the response
accessorstringOptional
Filter for requests where a specific accessor was used
request_idstringOptional
Filter for a specific request id
deploymentenumOptional
Filter for requests where a specific deployment was used
Allowed values:
endpointenumOptional
Filter for requests where a specific endpoint was used
Allowed values:
methodenumOptional
Filter for requests where a specific method was used
Allowed values:
statusenumOptional

Filter for requests that succeeded (status code < 300) or failed (status code >=400)

Allowed values:

Response

A list of requests for a specific project
pagedouble
The page number of the paginated response
limitdouble
The number of results per page
requestslist of objects

Errors

400
Bad Request Error